[Elgg 1.8-1.12 & 2.X & 3.X: Elggx Fivestar] v1.10.8

Release Notes

Updated version 1.9.8 for Elgg 1.10:

  • No longer show the fivestar rating widget for entities within the widget context (This change is to get some kind of consistency with what is shown in widgets and what is not. For example, the entity menu is usually also not shown in widgets.),
  • Make the form id of the displayed rating widgets unique in case the rating widget for the same entity is displayed more than once on the same page,
  • Fix to no longer show a vertical space between the fivestar rating widget and the categories output if the Categories plugin is used (vertical space is avoided by overriding the output/categories view with a modified version),
  • Modifying code to be no longer depending on usage of private Elgg API function generate_action_token().
  • [Thu May 28 23:00:07.933662 2015] [fcgid:warn] [pid 658] [client xxxxxxxxxxx] mod_fcgid: stderr: PHP WARNING: 2015-05-28 23:00:07 (CEST): "Missing argument 1 for elgg_view(), called in /var/www/vhosts/xxxxxxxx/httpdocs/mod/elggx_fivestar/views/default/elggx_fivestar/voting.php on line 91 and defined" in file /var/www/vhosts/xxxxxxxx/httpdocs/engine/lib/views.php (line 354)

     

     

    my log its full of this where is teh problem.

    some idea?

  • @Gexor  Which version of Elggx Fivestar are you using and on which version of Elgg? Are you sure that you are using the correct version of the plugin for your Elgg version?

    I never saw this error before, so I'm not sure what might causes it. Have you made any changes in the config of the Fivestar plugin, i.e. added any views on your own where the Fivestar voting should show up? Can you find a connection between the error entries in the log showing up and viewing specific pages on the site or does the error occur on any page viewed that has a Fivestar voting?

    Are you using Apache or Nginx on your server? I never used Nginx before so I can't say if this might cause the errors to show up but there were other discussion topics here on the community site about errors (not connected to any plugin specifically) that apparently only occured on servers using Nginx. If that's causing the problem I'm afraid I can't give any advice how to fix it as it might be caused by the Nginx config.

    I can only suggest to use the correct version of Elggx Fivestar if you're not already doing it. Then you might also want to test if there might be an issue with another 3rd party plugin that interferes and only with this other plugin used might errors occur.

  • hi i using Nginx and plesk 12 elgg ver. 1.11 and plugin is 1.8 to 1.11.

     

     

    whats the Fix in nginx?

     

     

     

     

  • @Gexor

    Plugin version of Elggx Fivestar to use on Elgg 1.11 is 1.10.8.

    Unfortunately, I can't give you any advice on nginx. I never used it. But there were a few other discussion topics here on the site (not specifically about issues with Fivestar) where similar errors were mentioned on servers with nginx. That's why I thought that nginx might be involved here, too. If you are using version 1.10.8 of the Fivestar plugin and the errors still occur I think the errors are occuring due to nginx config that isn't fully correct (and it's likely just a coincindence that the error occured in connection with the Fivestar plugin). I don't know what would have to be changed in an nginx config though. You would better ask any nginx specific questions in a separate discussion topic to attract the attention of other people who also use nginx and might be able to help you.

  • ok thx i try stand alone apache2

Stats

  • Category: Misc
  • License: GNU General Public License (GPL) version 2
  • Updated: 2019-4-10
  • Downloads: 8140
  • Recommendations: 34

Other Projects

View iionly's plugins